CREATE TABLE `test_links` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `page_id` varchar(50) NOT NULL default '',
  `link_id` varchar(50) NOT NULL default '',
  `exists` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Links for the test database'

CREATE TABLE `test_pages` (
  `id` varchar(50) NOT NULL default '',
  `category` varchar(50) NOT NULL default '',
  `raw_content` text NOT NULL,
  `formatted_content` text NOT NULL,
  `created_by` varchar(50) NOT NULL default '',
  `created_on` datetime NOT NULL default '0000-00-00 00:00:00',
  `revised_by` varchar(50) default NULL,
  `revised_on` datetime default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Pages for the test wiki';

CREATE TABLE `test_passwords` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `password` char(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Passwords for the test wiki'