<?
session_start();

require_once("ajax_helper.php");
require_once("../includes/page.php");

if (!isset($_SESSION["logged_in"]))
{
	print_failure("You must be logged in to delete a page");
	return;
}

if (get_magic_quotes_gpc())
{
	$page = new Page(stripslashes($_REQUEST["id"]));
}
else
{
	$page = new Page($_REQUEST["id"]);
}

if (!$page->exists)
{
	print_failure("Don't try to delete something that doesn't exist!");
	return;
}

$page->delete();
print_success($page->formatted_content);
?>
