<?
session_start();

require_once("ajax_helper.php");
require_once("../includes/page.php");

if (!isset($_SESSION["logged_in"]))
{
	print_failure("You must be logged in to make changes");
	return;
}

if (!isset($_REQUEST["id"]) || $_REQUEST["id"] == "")
{
	print_failure("<em>id</em> is a required field");
	return;
}

if (!isset($_REQUEST["raw_content"]) || $_REQUEST["raw_content"] == "")
{
	print_failure("<em>raw_content</em> is a required field");
	return;
}

if (!isset($_REQUEST["category"]) || $_REQUEST["category"] == "")
{
	print_failure("<em>category</em> is a required field");
	return;
}

if (!isset($_REQUEST["editor"]) || $_REQUEST["editor"] == "")
{
	print_failure("<em>editor</em> is a required field");
	return;
}

if (get_magic_quotes_gpc())
{
	$id = stripslashes($_REQUEST["id"]);
	$raw_content = stripslashes($_REQUEST["raw_content"]);
	$category = stripslashes($_REQUEST["category"]);
	$editor = stripslashes($_REQUEST["editor"]);
}
else
{
	$id = $_REQUEST["id"];
	$raw_content = $_REQUEST["raw_content"];
	$category = $_REQUEST["category"];
	$editor = $_REQUEST["editor"];
}

$page = new Page($id);
if ($page->exists)
{
	$page->revised_by = $editor;
	$page->revised_on = date("Y-m-d H:i:s");
}
else
{
	$page->created_by = $editor;
	$page->created_on = date("Y-m-d H:i:s");
}
$page->category = $category;
$page->reformat_content($raw_content);

$page->save();

$_SESSION["last_editor"] = $editor;

print_success($page->formatted_content);
?>
